Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wowza.wms.plugin.livestreamrecord
Class ModuleLiveStreamRecord

    Object
      com.wowza.wms.module.ModuleBase
          com.wowza.wms.plugin.livestreamrecord.ModuleLiveStreamRecord

    public class ModuleLiveStreamRecord

extends com.wowza.wms.module.ModuleBase

Field Summary
`static int` | `FORMAT_FLV`
`static int` | `FORMAT_MP4`
`static int` | `FORMAT_UNKNOWN`

Fields inherited from class com.wowza.wms.module.ModuleBase
`CALLBACK_PARAM1, CALLBACK_PARAM10, CALLBACK_PARAM2, CALLBACK_PARAM3, CALLBACK_PARAM4, CALLBACK_PARAM5, CALLBACK_PARAM6, CALLBACK_PARAM7, CALLBACK_PARAM8, CALLBACK_PARAM9, PARAM1, PARAM10, PARAM2, PARAM3, PARAM4, PARAM5, PARAM6, PARAM7, PARAM8, PARAM9, PARAMMETHODNAME, PLAYTRANSITION_APPEND, PLAYTRANSITION_APPEND_IMMEDIATE, PLAYTRANSITION_RESET, PLAYTRANSITION_RESET_IMMEDIATE, PLAYTRANSITION_STOP, PLAYTRANSITION_SWAP, PLAYTRANSITION_SWITCH, PLAYTRANSITION_UNKNOWN, PLAYTRANSITIONSTR_APPEND, PLAYTRANSITIONSTR_RESET, PLAYTRANSITIONSTR_STOP, PLAYTRANSITIONSTR_SWAP, PLAYTRANSITIONSTR_SWITCH, PLAYTRANSITIONSTR_UNKNOWN`

Constructor Summary
`ModuleLiveStreamRecord()`

Method Summary
`void` | `getPublishStreamNames(com.wowza.wms.client.IClient client, com.wowza.wms.request.RequestFunction function, com.wowza.wms.amf.AMFDataList params)`
`String[]` | `getRecorderNames()`
`void` | `onAppStart(com.wowza.wms.application.IApplicationInstance appInstance)`
`void` | `onAppStop(com.wowza.wms.application.IApplicationInstance appInstance)`
`void` | `recordStream(String streamName, int format, boolean append, String outputPath, boolean versionFile, boolean startOnKeyFrame, boolean recordData)`
`void` | `startRecording(com.wowza.wms.client.IClient client, com.wowza.wms.request.RequestFunction function, com.wowza.wms.amf.AMFDataList params)`
`void` | `stopRecording(com.wowza.wms.client.IClient client, com.wowza.wms.request.RequestFunction function, com.wowza.wms.amf.AMFDataList params)`
`String` | `stopRecording(String streamName)`

Methods inherited from class com.wowza.wms.module.ModuleBase
`getAppInstance, getApplication, getCallbackParamCount, getLogger, getParam, getParamBoolean, getParamBoolean, getParamCount, getParamDate, getParamDouble, getParamDouble, getParamInt, getParamInt, getParamLong, getParamLong, getParamMixedArray, getParamObj, getParamString, getParamString, getParamType, getStream, getVHost, invokePrevious, invokePrevious, isSendResult, sendClientOnStatusError, sendResult, sendResult, sendResult, sendResult, sendResult, sendStreamOnStatusError`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT_FLV

    public static final int FORMAT_FLV

See Also:
  Constant Field Values

### FORMAT_MP4

    public static final int FORMAT_MP4

See Also:
  Constant Field Values

### FORMAT_UNKNOWN

    public static final int FORMAT_UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### ModuleLiveStreamRecord

    public ModuleLiveStreamRecord()

Method Detail

### getPublishStreamNames

    public void getPublishStreamNames(com.wowza.wms.client.IClient client,
                                      com.wowza.wms.request.RequestFunction function,
                                      com.wowza.wms.amf.AMFDataList params)

### getRecorderNames

    public String[] getRecorderNames()

### onAppStart

    public void onAppStart(com.wowza.wms.application.IApplicationInstance appInstance)

### onAppStop

    public void onAppStop(com.wowza.wms.application.IApplicationInstance appInstance)

### recordStream

    public void recordStream(String streamName,
                             int format,
                             boolean append,
                             String outputPath,
                             boolean versionFile,
                             boolean startOnKeyFrame,
                             boolean recordData)

### startRecording

    public void startRecording(com.wowza.wms.client.IClient client,
                               com.wowza.wms.request.RequestFunction function,
                               com.wowza.wms.amf.AMFDataList params)

### stopRecording

    public void stopRecording(com.wowza.wms.client.IClient client,
                              com.wowza.wms.request.RequestFunction function,
                              com.wowza.wms.amf.AMFDataList params)

### stopRecording

    public String stopRecording(String streamName)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD